## libfd-send-recv-ocaml 1.0.1

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=fd-send-recv
J=4

export OCAMLRUNPARAM=b

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@./setup.bin -reinstall

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
libfd-send-recv-ocaml (1.0.1-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Fri, 30 May 2014 12:00:00 +0000

libfd-send-recv-ocaml (1.0.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 31 May 2013 12:00:00 +0000

=== debian/control ===
Source: libfd-send-recv-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 ocaml-native-compilers

Package: libfd-send-recv-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Bindings to sendmsg/recvmsg for fd passing under Linux
 Bindings to sendmsg/recvmsg for fd passing under Linux.

Package: libfd-send-recv-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libfd-send-recv-ocaml (>= 1.0.1-2)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-fd-send-recv
 The ocaml-fd-send-recv-devel package contains libraries and signature
 files for developing applications that use ocaml-fd-send-recv.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libfd-send-recv-ocaml/usr/lib/ocaml/fd-send-recv/*.a
	rm -f debian/libfd-send-recv-ocaml/usr/lib/ocaml/fd-send-recv/*.cmxa
	rm -f debian/libfd-send-recv-ocaml/usr/lib/ocaml/fd-send-recv/*.cmx
	rm -f debian/libfd-send-recv-ocaml/usr/lib/ocaml/fd-send-recv/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
